Index: TrouNoir/BenchTrouNoir.sh
===================================================================
--- TrouNoir/BenchTrouNoir.sh	(revision 0)
+++ TrouNoir/BenchTrouNoir.sh	(revision 223)
@@ -0,0 +1,55 @@
+#!/bin/bash
+DEVICE=1
+GPU=OpenCL
+SEQ="6 1 14"
+HOST=$(hostname)
+DATE=$(date "+%Y%m%d-%H%M")
+LOGFILE=TrouNoir-${HOST}-${DATE}.log
+echo >$LOGFILE
+[ ! -z "$1" ] && DEVICE="$1"
+[ ! -z "$2" ] && GPU="$2"
+LINE=BB
+METHOD=TrajectoPixel
+echo Output stored in $LOGFILE
+echo -e "Experience : $LINE $METHOD" >>$LOGFILE
+echo -e "Experience : $LINE $METHOD $DEVICE $GPU"
+seq $SEQ | while read POWER ; do
+    SIZE=$((2**$POWER))
+    seq 1 1 10 | xargs -I TOTO /usr/bin/time python ./TrouNoir.py -d $DEVICE -g $GPU -n -b -s $SIZE -t $METHOD >>$LOGFILE 2>&1 
+done
+METHOD=TrajectoCircle
+echo -e "Experience : $LINE $METHOD" >>$LOGFILE
+echo -e "Experience : $LINE $METHOD $DEVICE $GPU"
+seq $SEQ | while read POWER ; do
+    SIZE=$((2**$POWER))
+    seq 1 1 10 | xargs -I TOTO /usr/bin/time python ./TrouNoir.py -d $DEVICE -g $GPU -n -b -s $SIZE -t $METHOD >>$LOGFILE 2>&1 
+done
+METHOD=EachPixel
+echo -e "Experience : $LINE $METHOD" >>$LOGFILE
+echo -e "Experience : $LINE $METHOD $DEVICE $GPU"
+seq $SEQ | while read POWER ; do
+    SIZE=$((2**$POWER))
+    seq 1 1 10 | xargs -I TOTO /usr/bin/time python ./TrouNoir.py -d $DEVICE -g $GPU -n -b -s $SIZE -t $METHOD >>$LOGFILE 2>&1 
+done
+LINE=MONO
+METHOD=TrajectoPixel
+echo -e "Experience : $LINE $METHOD" >>$LOGFILE
+echo -e "Experience : $LINE $METHOD $DEVICE $GPU"
+seq $SEQ | while read POWER ; do
+    SIZE=$((2**$POWER))
+    seq 1 1 10 | xargs -I TOTO /usr/bin/time python ./TrouNoir.py -d $DEVICE -g $GPU -n -s $SIZE -t $METHOD >>$LOGFILE 2>&1 
+done
+METHOD=TrajectoCircle
+echo -e "Experience : $LINE $METHOD" >>$LOGFILE
+echo -e "Experience : $LINE $METHOD $DEVICE $GPU"
+seq $SEQ | while read POWER ; do
+    SIZE=$((2**$POWER))
+    seq 1 1 10 | xargs -I TOTO /usr/bin/time python ./TrouNoir.py -d $DEVICE -g $GPU -n -s $SIZE -t $METHOD >>$LOGFILE 2>&1 
+done
+METHOD=EachPixel
+echo -e "Experience : $LINE $METHOD" >>$LOGFILE
+echo -e "Experience : $LINE $METHOD $DEVICE $GPU"
+seq $SEQ | while read POWER ; do
+    SIZE=$((2**$POWER))
+    seq 1 1 10 | xargs -I TOTO /usr/bin/time python ./TrouNoir.py -d $DEVICE -g $GPU -n -s $SIZE -t $METHOD >>$LOGFILE 2>&1 
+done

Property changes on: TrouNoir/BenchTrouNoir.sh
___________________________________________________________________
Added: svn:executable
   + *

Index: TrouNoir/BenchTrouNoirC.sh
===================================================================
--- TrouNoir/BenchTrouNoirC.sh	(revision 0)
+++ TrouNoir/BenchTrouNoirC.sh	(revision 223)
@@ -0,0 +1,22 @@
+#!/bin/bash
+SEQ="6 1 14"
+HOST=$(hostname)
+DATE=$(date "+%Y%m%d-%H%M")
+LOGFILE=trou_noir_FP32-${HOST}-${DATE}.log
+echo >$LOGFILE
+RAIE=CORPS_NOIR
+echo Output stored in $LOGFILE
+echo -e "Experience : $RAIE" >>$LOGFILE
+echo -e "Experience : $RAIE"
+seq $SEQ | while read POWER ; do
+    SIZE=$((2**$POWER))
+    seq 1 1 10 | xargs -I TOTO  /usr/bin/time ./trou_noir_FP32 $SIZE 1 12 10 $RAIE POSITIVE flux_$SIZE_$RAIE_$HOST.pgm z_$SIZE_$RAIE_$HOST.pgm >>$LOGFILE 2>&1 
+done
+RAIE=MONOCHROMATIQUE
+echo Output stored in $LOGFILE
+echo -e "Experience : $RAIE" >>$LOGFILE
+echo -e "Experience : $RAIE"
+seq $SEQ | while read POWER ; do
+    SIZE=$((2**$POWER))
+    seq 1 1 10 | xargs -I TOTO  /usr/bin/time ./trou_noir_FP32 $SIZE 1 12 10 $RAIE POSITIVE flux_$SIZE_$RAIE_$HOST.pgm z_$SIZE_$RAIE_$HOST.pgm >>$LOGFILE 2>&1 
+done

Property changes on: TrouNoir/BenchTrouNoirC.sh
___________________________________________________________________
Added: svn:executable
   + *

Index: TrouNoir/ExtractBench.sh
===================================================================
--- TrouNoir/ExtractBench.sh	(revision 0)
+++ TrouNoir/ExtractBench.sh	(revision 223)
@@ -0,0 +1,2 @@
+#!/bin/bash
+egrep '(^Experience|^Size\ |^Elapsed|^Compute)' $1 | tr '\n' '@' | sed -e "s/Experience/\nExperience/g" | sed -e "s/Size/\nSize/g" | awk '{ print $2" "$3" "$4" "$6" "$9 }'  | tr -d ":" | sed -e "s/Compute\ //g" | sed -e "s/Elapsed\ //g" | tr "@" " " | sed -e "s/Time\ //g" | sed -e "s/^\ //g"

Property changes on: TrouNoir/ExtractBench.sh
___________________________________________________________________
Added: svn:executable
   + *

Index: TrouNoir/ExtractBenchC.sh
===================================================================
--- TrouNoir/ExtractBenchC.sh	(revision 0)
+++ TrouNoir/ExtractBenchC.sh	(revision 223)
@@ -0,0 +1,2 @@
+#!/bin/bash
+egrep '(^Experience|Dimension\ |^Elapsed)' $1 | tr '\n' ' ' | sed -e "s/Experience/\nExperience/g" | tr -d "#'" | sed -e "s/Dimension\ de\ limage\ :\ /\n/g" | awk '{ print $1" "$NF }' 

Property changes on: TrouNoir/ExtractBenchC.sh
___________________________________________________________________
Added: svn:executable
   + *

